Name:           perl-Devel-MAT-Dumper
Version:        0.45
Release:        3%{?dist}
Summary:        Write a heap dump file for later analysis
License:        GPL+ or Artistic

URL:            https://metacpan.org/dist/Devel-MAT-Dumper
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Devel-MAT-Dumper-%{version}.tar.gz

# build requirements
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(ExtUtils::CBuilder)
# runtime requirements
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(Config)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides the memory-dumping function that creates a heap dump
file which can later be read by Devel::MAT::Dumpfile. It provides a single
function which is not exported, which writes a file to the given path.

%prep
%setup -q -n Devel-MAT-Dumper-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor --optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
/usr/bin/find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes doc README
%license LICENSE
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*
%{_mandir}/man3/*

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.45-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 31 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.45-2
- Perl 5.36 rebuild

* Sun Apr 03 2022 Emmanuel Seyman <emmanuel@seyman.fr> - 0.45-1
- Update to 0.45

* Sun Mar 20 2022 Emmanuel Seyman <emmanuel@seyman.fr> - 0.44-1
- Update to 0.44

* Sun Mar 13 2022 Emmanuel Seyman <emmanuel@seyman.fr> - 0.43-1
- Update to 0.43

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.42-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 01 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.42-2
- Take into account review feedback (#1999328)

* Thu Aug 19 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.42-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
